Subject: Re: bug#13686: hi-yellow vs. hi-lock-1

From: Juri Linkov <[email-masked]>
Date: Thu, 28 Feb 2013 01:45:05 +0200

> And that's the point.  `hi-yellow' is not a great name for a customizable face.

`hi-yellow' is a meaningful name.  Together with other complementary
faces they cover the whole color space.  If you don't want the default
yellow color, you can customize it to another shade of yellow,
e.g. "Light Goldenrod Yellow".  If you want a shade of green,
customize `hi-green' and use it, etc.

OTOH, face names like `hi-lock-1' or `hi-lock-2' are meaningless.
What does the number 1 or 2 mean?  Compare them with other faces
that have a number in their names where the number in `info-title-1',
`gnus-cite-1', `outline-1', `org-level-1' means the nesting level.

What could be improved is `hi-lock-face-defaults' to specify
a color palette like in `vc-annotate-color-map' that produces
such color gradient face names as `vc-annotate-face-DDFF3F'
(note that the hex number "DDFF3F" is still meaningful in the face name).